package entities

import (
	"gorm.io/gorm"
	"sorbet/pkg/db"
	"time"
)

// ConfigGroup 配置组表
type ConfigGroup struct {
	ID          uint           `json:"id"          xml:"id"          gorm:"primaryKey;not null;comment:配置组编号"`
	Name        string         `json:"name"        xml:"name"        gorm:"size:25;not null;uniqueIndex;comment:配置组名称"`
	Description string         `json:"description" xml:"description" gorm:"comment:配置组描述"`
	Sort        int32          `json:"sort"        xml:"sort"        gorm:"default:0;comment:排序"`
	Version     db.Version     `json:"-"           xml:"-"           gorm:"comment:乐观锁"`
	CreatedAt   time.Time      `json:"create_time" xml:"create_time" gorm:"<-:false;comment:创建时间"`
	UpdatedAt   time.Time      `json:"update_time" xml:"update_time" gorm:"<-:false;comment:更新时间"`
	DeletedAt   gorm.DeletedAt `json:"-"           xml:"-"           gorm:"comment:删除时间"`

	Configs []*Config `json:"configs" xml:"configs" gorm:"foreignKey:GroupID"`
}
