package request

import (
	"sorbet/internal/entities"
)

type FeatureCategoryUpsertRequest struct {
	ID          uint   `json:"id"          xml:"id"          form:"id" path:"id"`
	PID         uint   `json:"pid"         xml:"pid"         form:"pid"`
	FeatureID   uint   `json:"feature_id"  xml:"feature_id"  form:"feature_id"`
	Title       string `json:"title"       xml:"title"       form:"title"`
	Description string `json:"description" xml:"description" form:"description"`
	Sort        int32  `json:"sort"        xml:"sort"        form:"sort"`
	Status      bool   `json:"status"      xml:"status"      form:"status"`
}

func (f *FeatureCategoryUpsertRequest) GetID() any {
	return f.ID
}

func (f *FeatureCategoryUpsertRequest) ToMap() map[string]any {
	return map[string]any{
		"id":          f.ID,
		"pid":         f.PID,
		"feature_id":  f.FeatureID,
		"title":       f.Title,
		"description": f.Description,
		"sort":        f.Sort,
		"status":      f.Status,
	}
}

func (f *FeatureCategoryUpsertRequest) ToEntity() any {
	return &entities.FeatureCategory{
		ID:          f.ID,
		PID:         &f.PID,
		FeatureID:   f.FeatureID,
		Title:       f.Title,
		Description: f.Description,
		Sort:        f.Sort,
		Status:      f.Status,
	}
}
