package request

import (
	"sorbet/internal/entities"
)

type FeatureContentChapterUpsertRequest struct {
	ID        uint   `json:"id"          xml:"id"          form:"id" path:"id"`
	PID       uint   `json:"pid"         xml:"pid"         form:"pid"`
	FeatureID uint   `json:"feature_id"  xml:"feature_id"  form:"feature_id"`
	ContentID uint   `json:"content_id"  xml:"content_id"  form:"content_id"`
	Title     string `json:"title"       xml:"title"       form:"title"`
	Intro     string `json:"intro"       xml:"intro"       form:"intro"`
	Sort      int32  `json:"sort"        xml:"sort"        form:"sort"`
}

func (f *FeatureContentChapterUpsertRequest) GetID() any {
	return f.ID
}

func (f *FeatureContentChapterUpsertRequest) ToMap() map[string]any {
	return map[string]any{
		"id":         f.ID,
		"pid":        f.PID,
		"feature_id": f.FeatureID,
		"content_id": f.ContentID,
		"title":      f.Title,
		"intro":      f.Intro,
		"sort":       f.Sort,
	}
}

func (f *FeatureContentChapterUpsertRequest) ToEntity() any {
	return &entities.FeatureContentChapter{
		ID:        f.ID,
		PID:       &f.PID,
		FeatureID: f.FeatureID,
		ContentID: f.ContentID,
		Title:     f.Title,
		Intro:     f.Intro,
		Sort:      f.Sort,
	}
}
