package feature

import (
	"context"
	"sorbet/internal/runtime"
	"sorbet/internal/services/feature/controller"
)

type Service struct{}

func (*Service) Name() string {
	return "feature"
}

func (*Service) Priority() int {
	return 3
}

func (s *Service) Init(context.Context) error {
	return nil
}

func (s *Service) Routes() []runtime.Routable {
	return []runtime.Routable{
		&controller.FeatureCategoryController{},
		&controller.FeatureConfigController{},
		&controller.FeatureContentChapterController{},
		&controller.FeatureContentDetailController{},
		&controller.FeatureController{},
	}
}

func (s *Service) Start() error {
	return nil
}

func (s *Service) Stop() error {
	return nil
}
