package system

import (
	"context"
	"sorbet/internal/runtime"
	"sorbet/internal/services/system/controller"
)

type Service struct{}

func (*Service) Name() string {
	return "system"
}

func (*Service) Priority() int {
	return 3
}

func (s *Service) Init(context.Context) error {
	return nil
}

func (s *Service) Routes() []runtime.Routable {
	return []runtime.Routable{
		&controller.SystemAuthController{},
		&controller.SystemLogController{},
		&controller.SystemMenuController{},
		&controller.SystemPermissionController{},
		&controller.SystemRoleController{},
		&controller.SystemRolePowerController{},
		&controller.SystemUserController{},
	}
}

func (s *Service) Start() error {
	return nil
}

func (s *Service) Stop() error {
	return nil
}
