package main

import (
	"log"
	"sorbet/internal"
	"sorbet/internal/runtime"
	"sorbet/pkg/env"
)

func main() {
	invoke(runtime.Reset)
	invoke(env.Init)
	invoke(internal.Init)
	invoke(runtime.Init)
	invoke(runtime.Run)
}

func invoke(fn func() error) {
	if err := fn(); err != nil {
		log.Fatalln(err)
	}
}
